## org.codehaus.groovy.grails.plugins
Class InvalidVersionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.plugins.InvalidVersionException

All Implemented Interfaces:
  Serializable

    public class InvalidVersionException

extends RuntimeException

Throw when a specified version number is invalid

Since:
  1.2
Author:
  Graeme Rocher
See Also:
  Serialized Form

Constructor Summary
`InvalidVersionException()`
`InvalidVersionException(String s)`
`InvalidVersionException(String s, Throwable throwable)`
`InvalidVersionException(Throwable throwable)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidVersionException

    public InvalidVersionException()

### InvalidVersionException

    public InvalidVersionException(String s)

### InvalidVersionException

    public InvalidVersionException(String s,
                                   Throwable throwable)

### InvalidVersionException

    public InvalidVersionException(Throwable throwable)

Copyright (c) 2005-2009 The Grails project